﻿FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["DDD.Grpc/DomainDriven.GrpcApi/DomainDriven.GrpcApi.csproj", "DDD.Grpc/DomainDriven.GrpcApi/"]
RUN dotnet restore "DDD.Grpc/DomainDriven.GrpcApi/DomainDriven.GrpcApi.csproj"
COPY . .
WORKDIR "/src/DDD.Grpc/DomainDriven.GrpcApi"
RUN dotnet build "DomainDriven.GrpcApi.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "DomainDriven.GrpcApi.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "DomainDriven.GrpcApi.dll"]
